#!/usr/bin/env perl
use strict;
use warnings;
use DBI;
use DateTime::Format::Strptime;

# retrieve current data for use in establishing data query bounds
my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime();
     $year += 1900;
     $mon += 1;

#Postgres database interface code specifying database and table to link to along with commands
my $db=$ARGV[0];
my $table=$ARGV[1];
my $user = $ARGV[2];
my $startdate = $ARGV[3];
my $starttime = $ARGV[4];
my $enddate = $ARGV[5];
my $endtime = $ARGV[6];
#$pass = "pass";
#$host="localhost";

#connect to postgres database
my $dbh = DBI->connect( "dbi:Pg:dbname=$db", "$user" ) or die $DBI::errstr;
#prepare select command
my $stmt = qq(SELECT * from $table where time between '$startdate $starttime' and '$enddate $endtime' ORDER by time);
my $sth = $dbh->prepare( $stmt );
my $rv = $sth->execute() or die $DBI::errstr;
if($rv < 0){
   print $DBI::errstr;
}


while(my @row = $sth->fetchrow_array()) {
#write out data to screen
printf "%20s %1s %12s %1s %12s %1s %10s %1s %8s %1s %20s \n", (substr($row[1], 0, 20)), ',',(substr($row[4], 0, 12)), ',', (substr($row[5], 0, 12)), ',',(substr($row[3], 0, 10)), ',',(substr($row[3], 10, 18)),',', (substr($row[13], 0, 20));
}

$dbh->disconnect();


