#!/bin/csh

cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/
set startdate = '2014-06-03'
set enddate = '2014-06-04'
set starttime = '15:00'
set endtime = '12:00'
set gemtime = '140604/1200'
set timestamp = `echo $enddate.$endtime | sed 's/\://g' | sed 's/\-//g'`
set magnitude = 1
set database = 'verification'
set table = 'flashflood_usgs'
set psqluser = 'hpc'

perl usgs.withoutmag.pl $database $table $psqluser $startdate $starttime $enddate $endtime $magnitude
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.data.nophan.txt /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/$table.station.nophan.tbl /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/
/hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/manual.makeplot.csh $table $gemtime

mv /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/$table.gif /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/GEMPAK/PLOTS.TEST/$table.$timestamp.gif

