#!/bin/csh
#this script will query the verification postgres database and output a comma-seperated-value file of usgs data
#based on user-specified time window

#cd into data processing directory
cd /hpc/home/hpc_test/bcosgrove/VERF.PROGRAMS/USGS/

#start and end time of interest for observations
set enddate = `date +%Y'-'%m'-'%d`
set startdate = `date --date="-1 day" +%Y'-'%m'-'%d`
set starttime = '12:00'
set endtime = '12:00'
set starthour = '12z'
set endhour = '12z'
#names of postgres database, LSR table, and postgres user
set database = 'verification'
set table = 'flashflood_usgs'
set psqluser = 'hpc'

perl usgs.csv.output.pl $database $table $psqluser $startdate $starttime $enddate $endtime > usgs.flashflood.$starthour.$startdate.$endhour.$enddate.csv
scp usgs.flashflood.$starthour.$startdate.$endhour.$enddate.csv hpc@vm-lnx-dmznas4:/home/people/hpc/ftp/cosgrove/
rm -f usgs.flashflood.$starthour.$startdate.$endhour.$enddate.csv
